# Fetch a specific Backup of a MariaDB Cluster

You can retrieve a specific backup of a MariaDB cluster using its `ID`. You can find the `ID` when you [<mark style="color:blue;">retrieve</mark>](/cloud/databases/mariadb/api-howtos/list-mariadb-cluster-backups.md) the list of all MariaDB cluster backups. You can specify an integer for `limit` to return the maximum number of elements and define the pagination using `offset`.

## Request

```bash
curl -X 'GET' \
  'https://mariadb.de-txl.ionos.com/backups/{backupId}' \
  -H 'accept: application/json'
```

{% hint style="info" %}
**Note:** Remember to replace the `backupId` with a valid `ID`.
{% endhint %}

## Response

**200 Successful operation**

```json
{
  "id": "498ae72f-411f-11eb-9d07-046c59cc737e",
  "properties": {
    "clusterId": "498ae72f-411f-11eb-9d07-046c59cc737e",
    "earliestRecoveryTargetTime": "2021-10-23T01:21:10Z",
    "size": 2052,
    "baseBackups": [
      {
        "created": "2020-12-10T13:37:50+01:00",
        "size": 543
      }
    ]
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/cloud/databases/mariadb/api-howtos/fetch-mariadb-cluster-backup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
